Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Interface RepositoryNode

All Superinterfaces:
  Node, java.io.Serializable

    public interface RepositoryNode

extends Node

A node in the tree view of the repository.

Field Summary
`static char` | `CONTAINER_NODE`
`static char` | `FUNCTION_COLLECTION_REFERENCE_NODE`
`static char` | `PRIMARY_SCHEMA_REFERENCE_NODE`
`static char` | `WEBSERVICE_POLICY_REFERENCE_NODE`
`static char` | `WEBSERVICE_REFERENCE_NODE`

Method Summary
`java.util.Collection` | `getChildren()` Should be used on container nodes.
`char` | `getKind()`
`EntityNode` | `getReference()` Should be used on reference node.

Methods inherited from interface com.bea.ld.metadata.Node
`getId`

Field Detail

### CONTAINER_NODE

    static final char CONTAINER_NODE

See Also:
  Constant Field Values

### FUNCTION_COLLECTION_REFERENCE_NODE

    static final char FUNCTION_COLLECTION_REFERENCE_NODE

See Also:
  Constant Field Values

### PRIMARY_SCHEMA_REFERENCE_NODE

    static final char PRIMARY_SCHEMA_REFERENCE_NODE

See Also:
  Constant Field Values

### WEBSERVICE_REFERENCE_NODE

    static final char WEBSERVICE_REFERENCE_NODE

See Also:
  Constant Field Values

### WEBSERVICE_POLICY_REFERENCE_NODE

    static final char WEBSERVICE_POLICY_REFERENCE_NODE

See Also:
  Constant Field Values

Method Detail

### getKind

    char getKind()

  Returns:
    The repository node kind.

### getChildren

    java.util.Collection getChildren()

  Should be used on container nodes. Nodes of reference kind return empty collections.

  Returns:
    The children nodes of this node.

### getReference

    EntityNode getReference()

  Should be used on reference node. Container nodes return null. Reference nodes pointing to nodes that cannot be loaded also return `null`. // TODO: Make the latter case throw MetadataException

  Returns:
    The referenced EntityNode.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.